Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get your API key instantly at drain.lat/dashboard. Sign in with Discord, no request needed.
Fetch public SoundCloud profiles including follower counts and track info.
https://drain.lat/api/v1/soundcloud
GET /profile/:username
GET /api/v1/soundcloud/profile/:username
curl "https://drain.lat/api/v1/soundcloud/profile/deadmau5" \ -H "x-api-key: YOUR_API_KEY"
const res = await fetch("https://drain.lat/api/v1/soundcloud/profile/deadmau5", { headers: { "x-api-key": "YOUR_API_KEY" } }); const data = await res.json();
import requests res = requests.get( "https://drain.lat/api/v1/soundcloud/profile/deadmau5", headers={"x-api-key": "YOUR_API_KEY"} ) print(res.json())
{ "username": "deadmau5", "displayName": "deadmau5", "bio": "just makin music.", "avatarUrl": "https://i1.sndcdn.com/avatars-...", "followers": 4800000, "tracks": 312, "profileUrl": "https://soundcloud.com/deadmau5", "scrapedAt": "2026-05-05T12:00:00.000Z" }
Was this page helpful?